### Function

# Gimp RunFunc

since: 3.0

#### Declaration

    GimpValueArray*
    (* GimpRunFunc) (
      GimpProcedure* procedure,
      GimpProcedureConfig* config,
      gpointer run_data
    )

#### Description [src]

The run function is run during the lifetime of the GIMP session, each time a plug-in procedure is called.

Available since: 3.0

#### Parameters

`procedure`

  Type: `GimpProcedure`

  The `GimpProcedure` that runs.

  The data is owned by the caller of the function.

`config`

  Type: `GimpProcedureConfig`

  The `procedure`‘s arguments in a config object.

  The data is owned by the caller of the function.

`run_data`

  Type: `gpointer`

  The run_data given in gimp_procedure_new().

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `GimpValueArray`

The `procedure`‘s return values.

The caller of the function takes ownership of the data, and is responsible for freeing it.